Skip to main content
`Ctrl`+`K`

# PetscBenchGetSize

Gets the size of the `PetscBench` benchmark to run

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchGetSize(PetscBench bm, PetscInt *n)

Logically Collective

## Input Parameter

- bm - the `PetscBench`

## Output Parameter

- n - the size

## See Also

`PetscBench`, `PetscBenchSetFromOptions()`, `PetscBenchRun()`, `PetscBenchViewFromOptions()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetOptionsPrefix()`, `PetscBenchSetSize()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages